derive-2.6.3: A program and library to derive instances for data types

Safe Haskell | None
Language | Haskell2010

Language.Haskell.TH.ExpandSynonym

Description

Expand type synonyms in data declarations.

This is needed for some type based derivations.

Synopsis

- expandData :: DataDef -> Q DataDef

# Documentation

expandData :: DataDef -> Q DataDef Source #

Expand type synonyms in a data declaration